Loading...
Searching...
No Matches
field_expr_v2_variational_dg< Expr >

## Detailed Description

template<class Expr>
class rheolef::details::field_expr_v2_variational_dg< Expr >

Definition at line 776 of file field_expr_variational_terminal.h.

## Public Types

using | size_type = typename Expr::size_type
using | memory_type = typename Expr::memory_type
using | value_type = typename Expr::value_type
using | scalar_type = typename Expr::scalar_type
using | float_type = typename Expr::float_type
using | space_type = typename Expr::space_type
using | vf_tag_type = typename Expr::vf_tag_type
using | vf_dual_tag_type = typename details::dual_vf_tag< vf_tag_type >::type
using | self_type = field_expr_v2_variational_dg< Expr >
using | dual_self_type = field_expr_v2_variational_dg< typename Expr::dual_self_type >
using | is_elementwise = std::false_type

## Public Member Functions

| field_expr_v2_variational_dg (const Expr &expr, const float_type &c0, const float_type &c1)
const space_type & | get_vf_space () const
space_constant::valued_type | valued_tag () const
size_type | n_derivative () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
void | initialize (const band_basic< float_type, memory_type > &gh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
template<class Result >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Result >
void | valued_check () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = Expr::valued_hint

## Protected Attributes

Expr | _expr0
Expr | _expr1
scalar_type | _c0
scalar_type | _c1
reference_element | _tilde0_L0
reference_element | _tilde1_L1
geo_basic< float_type, memory_type > | _bgd_omega

## Member Typedef Documentation

## size_type

template<class Expr >

using size_type = typename Expr::size_type

Definition at line 780 of file field_expr_variational_terminal.h.

## memory_type

template<class Expr >

using memory_type = typename Expr::memory_type

Definition at line 781 of file field_expr_variational_terminal.h.

## value_type

template<class Expr >

using value_type = typename Expr::value_type

Definition at line 782 of file field_expr_variational_terminal.h.

## scalar_type

template<class Expr >

using scalar_type = typename Expr::scalar_type

Definition at line 783 of file field_expr_variational_terminal.h.

## float_type

template<class Expr >

using float_type = typename Expr::float_type

Definition at line 784 of file field_expr_variational_terminal.h.

## space_type

template<class Expr >

using space_type = typename Expr::space_type

Definition at line 785 of file field_expr_variational_terminal.h.

## vf_tag_type

template<class Expr >

using vf_tag_type = typename Expr::vf_tag_type

Definition at line 786 of file field_expr_variational_terminal.h.

## vf_dual_tag_type

template<class Expr >

using vf_dual_tag_type = typename details::dual_vf_tag<vf_tag_type>::type

Definition at line 787 of file field_expr_variational_terminal.h.

## self_type

template<class Expr >

using self_type = field_expr_v2_variational_dg<Expr>

Definition at line 788 of file field_expr_variational_terminal.h.

## dual_self_type

template<class Expr >

using dual_self_type = field_expr_v2_variational_dg<typename Expr::dual_self_type>

Definition at line 789 of file field_expr_variational_terminal.h.

## is_elementwise

template<class Expr >

using is_elementwise = std::false_type

Definition at line 790 of file field_expr_variational_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_variational_dg()

template<class Expr >

field_expr_v2_variational_dg | ( | const Expr & | expr,
|  | const float_type & | c0,
|  | const float_type & | c1
| ) |  |

Definition at line 842 of file field_expr_variational_terminal.h.

## Member Function Documentation

## get_vf_space()

template<class Expr >

const space_type & get_vf_space | ( |  | ) | const

Definition at line 798 of file field_expr_variational_terminal.h.

## valued_tag()

template<class Expr >

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 800 of file field_expr_variational_terminal.h.

## n_derivative()

template<class Expr >

size_type n_derivative | ( |  | ) | const

Definition at line 801 of file field_expr_variational_terminal.h.

## initialize() [1/2]

template<class Expr >

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 803 of file field_expr_variational_terminal.h.

## initialize() [2/2]

template<class Expr >

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 808 of file field_expr_variational_terminal.h.

## evaluate()

template<class Expr >
template<class Result >

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 861 of file field_expr_variational_terminal.h.

## valued_check()

template<class Expr >
template<class Result >

void valued_check | ( |  | ) | const

Definition at line 820 of file field_expr_variational_terminal.h.

## Member Data Documentation

## valued_hint

template<class Expr >

const space_constant::valued_type valued_hint = Expr::valued_hint

static

Definition at line 799 of file field_expr_variational_terminal.h.

## _expr0

template<class Expr >

Expr _expr0

mutable protected

Definition at line 828 of file field_expr_variational_terminal.h.

## _expr1

template<class Expr >

Expr _expr1

mutable protected

Definition at line 829 of file field_expr_variational_terminal.h.

## _c0

template<class Expr >

scalar_type _c0

protected

Definition at line 830 of file field_expr_variational_terminal.h.

## _c1

template<class Expr >

scalar_type _c1

protected

Definition at line 831 of file field_expr_variational_terminal.h.

## _tilde0_L0

template<class Expr >

reference_element _tilde0_L0

mutable protected

Definition at line 832 of file field_expr_variational_terminal.h.

## _tilde1_L1

template<class Expr >

reference_element _tilde1_L1

mutable protected

Definition at line 833 of file field_expr_variational_terminal.h.

## _bgd_omega

template<class Expr >

geo_basic<float_type,memory_type> _bgd_omega

mutable protected

Definition at line 834 of file field_expr_variational_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_expr_variational_terminal.h